<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                       ***
  ***      File:  admin_invoice_html.php                                   ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once("./admin_config.php");
	include_once($root_folder_path . "includes/common.php");
	include_once($root_folder_path . "includes/record.php");
	include_once($root_folder_path . "includes/order_items.php");
	include_once($root_folder_path . "includes/parameters.php");
	include_once("../messages/".$language_code."/cart_messages.php");

	check_admin_security("sales_orders");

	$currency = get_currency();

	$invoice = array();
	$sql = "SELECT setting_name, setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='printable'";
	$db->query($sql);
	while($db->next_record()) {
		$invoice[$db->f("setting_name")] = $db->f("setting_value");
	}

	$sql = "SELECT setting_name, setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='order_info'";
	$db->query($sql);
	while ($db->next_record()) {
		$order_info[$db->f("setting_name")] = $db->f("setting_value");
	}

	$permissions = get_permissions();

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main", "admin_invoice_html.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_orders_href", "admin_orders.php");
	$t->set_var("admin_order_href", "admin_order.php");


	$t->set_var("CART_TITLE",          CART_TITLE);
	$t->set_var("EMPTY_CART_MSG",      EMPTY_CART_MSG);
	$t->set_var("PROD_DESCRIPTION_MSG",PROD_DESCRIPTION_MSG);
	$t->set_var("PROD_TITLE_COLUMN",   PROD_TITLE_COLUMN);
	$t->set_var("PROD_QTY_COLUMN",     PROD_QTY_COLUMN);
	$t->set_var("PROD_PRICE_COLUMN",   PROD_PRICE_COLUMN);
	$t->set_var("PROD_TOTAL_COLUMN",   PROD_TOTAL_COLUMN);
	$t->set_var("GOODS_TOTAL_MSG",     GOODS_TOTAL_MSG);
	$t->set_var("TOTAL_DISCOUNT_MSG",  TOTAL_DISCOUNT_MSG);
	$t->set_var("GOODS_WITH_DISCOUNT_MSG",GOODS_WITH_DISCOUNT_MSG);
	$t->set_var("CART_TOTAL_MSG",      CART_TOTAL_MSG);
	$t->set_var("ORDER_NUMBER_MSG",    ORDER_NUMBER_MSG);
	$t->set_var("ORDER_DATE_MSG",      ORDER_DATE_MSG);
	$t->set_var("ORDER_TOTAL_MSG",     ORDER_TOTAL_MSG);

	$t->set_var("PERSONAL_DETAILS_MSG", PERSONAL_DETAILS_MSG);
	$t->set_var("DELIVERY_DETAILS_MSG", DELIVERY_DETAILS_MSG);
	$t->set_var("PAYMENT_DETAILS_MSG",  PAYMENT_DETAILS_MSG);
	$t->set_var("DELIVERY_MSG",         DELIVERY_MSG);
	$t->set_var("INVOICE_TO_MSG",       INVOICE_TO_MSG);
	$t->set_var("DELIVERY_TO_MSG",      DELIVERY_TO_MSG);

	$t->set_var("SAME_DETAILS_MSG",   SAME_DETAILS_MSG);
	$t->set_var("REGISTER_BUTTON",    REGISTER_BUTTON);
	$t->set_var("UPDATE_BUTTON",      UPDATE_BUTTON);
	$t->set_var("CANCEL_BUTTON",      CANCEL_BUTTON);
	$t->set_var("NAME_FIELD",         NAME_FIELD);
	$t->set_var("FIRST_NAME_FIELD",   FIRST_NAME_FIELD);
	$t->set_var("LAST_NAME_FIELD",    LAST_NAME_FIELD);
	$t->set_var("COMPANY_SELECT_FIELD", COMPANY_SELECT_FIELD);
	$t->set_var("COMPANY_NAME_FIELD", COMPANY_NAME_FIELD);
	$t->set_var("EMAIL_FIELD",        EMAIL_FIELD);
	$t->set_var("STREET_FIRST_FIELD", STREET_FIRST_FIELD);
	$t->set_var("STREET_SECOND_FIELD",STREET_SECOND_FIELD);
	$t->set_var("CITY_FIELD",         CITY_FIELD);
	$t->set_var("PROVINCE_FIELD",     PROVINCE_FIELD);
	$t->set_var("STATE_FIELD",        STATE_FIELD);
	$t->set_var("ZIP_FIELD",          ZIP_FIELD);
	$t->set_var("COUNTRY_FIELD",      COUNTRY_FIELD);
	$t->set_var("PHONE_FIELD",        PHONE_FIELD);
	$t->set_var("DAYTIME_PHONE_FIELD",DAYTIME_PHONE_FIELD);
	$t->set_var("EVENING_PHONE_FIELD",EVENING_PHONE_FIELD);
	$t->set_var("CELL_PHONE_FIELD",   CELL_PHONE_FIELD);
	$t->set_var("FAX_FIELD",          FAX_FIELD);

	$t->set_var("CC_NAME_FIELD",         CC_NAME_FIELD);
	$t->set_var("CC_NAME_DESC",          CC_NAME_DESC);
	$t->set_var("CC_FIRST_NAME_FIELD",   CC_FIRST_NAME_FIELD);
	$t->set_var("CC_LAST_NAME_FIELD",    CC_LAST_NAME_FIELD);
	$t->set_var("CC_NUMBER_FIELD",       CC_NUMBER_FIELD);
	$t->set_var("CC_START_DATE_FIELD",   CC_START_DATE_FIELD);
	$t->set_var("CC_EXPIRY_DATE_FIELD",  CC_EXPIRY_DATE_FIELD);
	$t->set_var("CC_TYPE_FIELD",         CC_TYPE_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_FIELD", CC_ISSUE_NUMBER_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_DESC",  CC_ISSUE_NUMBER_DESC);
	$t->set_var("CC_SECURITY_CODE_FIELD",CC_SECURITY_CODE_FIELD);
	$t->set_var("PAY_WITHOUT_CC_MSG",    PAY_WITHOUT_CC_MSG);
	$t->set_var("PAY_WITHOUT_CC_FIELD",  PAY_WITHOUT_CC_FIELD);
	$t->set_var("PAY_WITHOUT_CC_DESC",   PAY_WITHOUT_CC_DESC);


	$order_id = get_param("order_id");
	$r = new VA_Record($table_prefix . "orders");
	$r->add_where("order_id", INTEGER);
	$r->set_value("order_id", $order_id);

	$items_text = show_order_items($order_id, true, "admin_invoice_html");

	$personal_number = 0;
	$delivery_number = 0;
	for ($i = 0; $i < sizeof($parameters); $i++)
	{                                    
		$personal_param = "show_" . $parameters[$i];
		$delivery_param = "show_delivery_" . $parameters[$i];
		$r->add_textbox($parameters[$i], TEXT);
		$r->add_textbox("delivery_" . $parameters[$i], TEXT);
		if (isset($order_info[$personal_param]) && $order_info[$personal_param] == 1) {
			$personal_number++;
		} else {
			$r->parameters[$parameters[$i]][SHOW] = false;
		}
		if (isset($order_info[$delivery_param]) && $order_info[$delivery_param] == 1) {
			$delivery_number++;
		} else {
			$r->parameters["delivery_" . $parameters[$i]][SHOW] = false;
		}
	}

	$r->add_textbox("user_id", INTEGER);
	$r->add_textbox("payment_id", INTEGER);
	$r->add_textbox("transaction_id", TEXT);
	$r->add_textbox("currency_code", TEXT);
	$r->add_textbox("shipping_tracking_id", TEXT);
	$r->add_textbox("remote_address", TEXT);
	$r->add_textbox("cc_name", TEXT);
	$r->add_textbox("cc_first_name", TEXT);
	$r->add_textbox("cc_last_name", TEXT);
	$r->add_textbox("cc_number", TEXT);
	$r->add_textbox("cc_start_date", DATETIME);
	$r->change_property("cc_start_date", VALUE_MASK, array("MM", " / ", "YYYY"));
	$r->add_textbox("cc_expiry_date", DATETIME);
	$r->change_property("cc_expiry_date", VALUE_MASK, array("MM", " / ", "YYYY"));
	$r->add_textbox("cc_type", INTEGER);
	$r->add_textbox("cc_issue_number", INTEGER);
	$r->add_textbox("cc_security_code", TEXT);
	$r->add_textbox("pay_without_cc", TEXT);

	$r->get_db_values();

	$sql  = " SELECT payment_name ";
	$sql .= " FROM " . $table_prefix . "payment_systems ";
	$sql .= " WHERE payment_id=" . $db->tosql($r->get_value("payment_id"), INTEGER);
	$payment_name = get_db_value($sql);
	$t->set_var("payment_name", $payment_name);
	if ($r->is_empty("transaction_id")) {
		$r->parameters["transaction_id"][SHOW] = false;
	}

	$r->set_value("company_id", get_db_value("SELECT company_name FROM " . $table_prefix . "companies WHERE company_id=" . $db->tosql($r->get_value("company_id"), INTEGER)));
	$r->set_value("state_code", get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($r->get_value("state_code"), TEXT)));
	$r->set_value("country_code", get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($r->get_value("country_code"), TEXT)));
	$r->set_value("delivery_company_id", get_db_value("SELECT company_name FROM " . $table_prefix . "companies WHERE company_id=" . $db->tosql($r->get_value("delivery_company_id"), INTEGER)));
	$r->set_value("delivery_state_code", get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($r->get_value("delivery_state_code"), TEXT)));
	$r->set_value("delivery_country_code", get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($r->get_value("delivery_country_code"), TEXT)));
	$r->set_value("cc_type", get_db_value("SELECT credit_card_name FROM " . $table_prefix . "credit_cards WHERE credit_card_id=" . $db->tosql($r->get_value("cc_type"), INTEGER)));

	for ($i = 0; $i < sizeof($parameters); $i++)
	{                                    
		$personal_param = $parameters[$i];
		$delivery_param = "delivery_" . $parameters[$i];
		if ($r->is_empty($personal_param)) {
			$r->parameters[$personal_param][SHOW] = false;
		}
		if ($r->is_empty($delivery_param)) {
			$r->parameters[$delivery_param][SHOW] = false;
		}
	}
	
	$r->set_parameters();

	if ($personal_number > 0) {
		$t->parse("personal", false);
	}

	if ($delivery_number > 0) {
		$t->parse("delivery", false);
	}

	if (isset($invoice["invoice_header"])) {
		$t->set_var("invoice_header", nl2br($invoice["invoice_header"]));
	}
	if (isset($invoice["invoice_logo"]) && strlen($invoice["invoice_logo"])) {
		$image_path = $invoice["invoice_logo"];
		if (preg_match("/^http\:\/\//", $image_path)) {
			$image_size = "";
		} else {
			$image_size = @GetImageSize($image_path);
		}
		$t->set_var("image_path", htmlspecialchars($image_path));
		if(is_array($image_size)) {
			$t->set_var("image_width", "width=\"" . $image_size[0] . "\"");
			$t->set_var("image_height", "height=\"" . $image_size[1] . "\"");
		} else {
			$t->set_var("image_width", "");
			$t->set_var("image_height", "");
		}
		$t->parse("invoice_logo", false);
	}
	if (isset($invoice["invoice_footer"])) {
		$t->set_var("invoice_footer", nl2br($invoice["invoice_footer"]));
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>