<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_item_categories.php                                ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	@set_time_limit (900);
	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/tree.php");

	check_admin_security("products_categories");

	$item_id = get_param("item_id");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_item_categories.html");

	$t->set_var("admin_item_categories_href", "admin_item_categories.php");
	$t->set_var("admin_items_list_href", "admin_items_list.php");
	$t->set_var("admin_product_href", "admin_product.php");

	$sql  = " SELECT item_name FROM " . $table_prefix . "items ";
	$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);
	$db->query($sql);
	if($db->next_record())
		$t->set_var("item_name", get_translation($db->f("item_name")));
	else
		die("Product with such ID no longer exists in database.");

	$category_id = get_param("category_id");
	if(!strlen($category_id)) $category_id = "0";

	$tree = new VA_Tree("category_id", "category_name", "parent_category_id", $table_prefix . "categories", "tree");
	$tree->show($category_id);

	$operation = get_param("operation");
	$return_page = "admin_items_list.php?category_id=" . $category_id;
	$errors = "";

	if($operation == "cancel")
	{
		header("Location: " . $return_page);
		exit;
	}
	else if($operation == "save")
	{
		$categories = get_param("categories");
		if(!strlen($categories))
			$errors .= "No categories were selected.<br>";
		
		if(!strlen($errors))
		{
			$categories = split(",", $categories);
			$db->query("DELETE FROM " . $table_prefix . "items_categories WHERE item_id=" . $item_id);
			for($i = 0; $i < sizeof($categories); $i++)
				$db->query("INSERT INTO " . $table_prefix . "items_categories (item_id, category_id) VALUES (" . $item_id . "," . $db->tosql($categories[$i], INTEGER) . ")");
	
			header("Location: " . $return_page);
			exit;
		}
	}

	$sql = " SELECT category_id, parent_category_id, category_name FROM " . $table_prefix . "categories ORDER BY category_order";
	$db->query($sql);
	while($db->next_record())
	{
		$row_category_name = get_translation($db->f("category_name"));
		
		$t->set_var("category_id", $db->f("category_id"));
		$t->set_var("parent_category_id", $db->f("parent_category_id"));
		$t->set_var("category_name", str_replace("\"", "\\\"", $row_category_name));
		$t->parse("categories");
	}

	$sql = " SELECT category_id FROM " . $table_prefix . "items_categories WHERE item_id=" . $item_id;
	$db->query($sql);
	while($db->next_record())
	{
		$t->set_var("category_id", $db->f("category_id"));
		$t->parse("selected_categories");
	}

	if(strlen($errors))
	{
		$t->set_var("errors_list", $errors);
		$t->parse("errors", false);
	}
	else
	{
		$t->set_var("errors", "");
	}

	$t->set_var("item_id", $item_id);
	$t->set_var("category_id", $category_id);
	$t->set_var("selected_name", "selected[]");

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>