<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  ads_search.php                                           ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./includes/common.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	$t = new VA_Template("./js");
	$t->set_file("search_js","search.js");
	$t->parse("search_js", false);

	$t->templates_path = $settings["templates_dir"];
	$t->set_file("main","ads_search.html");

	$t->set_var("site_url", $settings["site_url"]);
	$t->set_var("search_href", "ads_search.php");
	$t->set_var("ads_href",    "ads.php");

	$t->set_var("ADS_TITLE",             ADS_TITLE);
	$t->set_var("SEARCH_TITLE",          SEARCH_TITLE);
	$t->set_var("ADVANCED_SEARCH_TITLE", ADVANCED_SEARCH_TITLE);
	$t->set_var("SEARCH_BUTTON",         SEARCH_BUTTON);
	$t->set_var("RESET_BUTTON",          RESET_BUTTON);
	$t->set_var("CLEAR_BUTTON",          CLEAR_BUTTON);

	$t->set_var("SEARCH_FOR_MSG",         SEARCH_FOR_MSG);
	$t->set_var("SEARCH_IN_MSG",          SEARCH_IN_MSG);
	$t->set_var("SEARCH_TITLE_MSG",       SEARCH_TITLE_MSG);
	$t->set_var("SEARCH_SHORT_DESC_MSG",  SEARCH_SHORT_DESC_MSG);
	$t->set_var("SEARCH_FULL_DESC_MSG",   SEARCH_FULL_DESC_MSG);
	$t->set_var("SEARCH_CATEGORY_MSG",    SEARCH_CATEGORY_MSG);
	$t->set_var("SEARCH_SELLER_MSG",      SEARCH_SELLER_MSG);
	$t->set_var("SEARCH_PRICE_MSG",       SEARCH_PRICE_MSG);

	$currency = get_currency();
	$weight_measure = get_setting_value($settings, "weight_measure", "");

	$search_category_id = get_param("search_category_id");
	$search_string = trim(get_param("search_string"));
	$s_tit = get_param("s_tit");
	$s_sds = get_param("s_sds");
	$s_fds = get_param("s_fds");
	$user = get_param("user");
	$lprice = get_param("lprice");
	$hprice = get_param("hprice");
	if ($s_sds == 1) { $s_sds = "checked"; }
	if ($s_fds == 1) { $s_fds = "checked"; }
		
	$t->set_var("search_string", htmlspecialchars($search_string));
	$t->set_var("s_sds", $s_sds);
	$t->set_var("s_fds", $s_fds);
	$t->set_var("lprice", htmlspecialchars($lprice));
	$t->set_var("hprice", htmlspecialchars($hprice));
	$t->set_var("currency_symbol", $currency["left"].$currency["right"]);
	$t->set_var("weight_measure", htmlspecialchars($weight_measure));

	$sql  = " SELECT category_id,category_name ";
	$sql .= " FROM " . $table_prefix . "ads_categories WHERE parent_category_id=0 ";
	$sql .= " ORDER BY category_order ";
	$search_categories = get_db_values($sql, array(array("", "")));
	set_options($search_categories, $search_category_id, "search_category_id");

	$sql  = " SELECT setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='ads_search' AND setting_name='user_type_id' ";
	$user_type_id = get_db_value($sql);
	$sql  = " SELECT user_id,login FROM " . $table_prefix . "users ";
	if (strlen($user_type_id)) {
		$sql .= " WHERE user_type_id=" . $db->tosql($user_type_id, INTEGER);
	}	
	$users = get_db_values($sql, array(array("", "")));
	set_options($users, $user, "user_id");

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='ads_search'";
	$db->query($sql);
	while($db->next_record()) {
		$setting_name = $db->f("setting_name");
		$setting_value = $db->f("setting_value");
		if ($setting_name == "intro_text") {
			if(strlen(trim($setting_value))) {
				$t->set_var("intro_text", $setting_value);
				$t->parse("intro_block", false);
			} 
		} else if ($setting_value == 1) {
			$t->set_var($setting_name, get_param($setting_name));
			$t->global_parse($setting_name . "_block", false, false, true);
		} 
	}

	$predefined_values = array();
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='ads_search_properties_values'";
	$db->query($sql);
	while($db->next_record()) {
		$predefined_values[$db->f("setting_name")] = $db->f("setting_value");
	}

	$property_number = 0;
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='ads_search_properties'";
	$db->query($sql);
	while($db->next_record()) {
		$setting_name = $db->f("setting_name");
		$setting_value = $db->f("setting_value");
		if ($setting_value == 1) {
			$property_number++;
			$property_values_list = $predefined_values[$setting_name];
			$property_value = get_param("pv_" . $property_number);
			$t->set_var("property_number", $property_number);
			$t->set_var("property_name", htmlspecialchars($setting_name));
			$t->set_var("property_select", "");
			$t->set_var("property_text", "");
			if (strlen(trim($property_values_list))) {
				$values_array = explode("\n", $property_values_list);
				$property_values = array();
				$property_values[] = array("", "");
				for($i = 0; $i < sizeof($values_array); $i++) {
					if(strlen(trim($values_array[$i]))) {
						$property_values[] = array(trim($values_array[$i]), trim($values_array[$i]));
					}
				}
				set_options($property_values, $property_value, "property_value");
				$t->parse("property_select", false);
			} else {
				$t->set_var("property_value", $property_value);
				$t->parse("property_text", false);
			}

			$t->parse("properties", true);
		}
	}
	$t->set_var("pq", $property_number);

	$predefined_values = array();
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='ads_search_features_values'";
	$db->query($sql);
	while($db->next_record()) {
		$predefined_values[$db->f("setting_name")] = $db->f("setting_value");
	}

	$feature_number = 0;
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='ads_search_features'";
	$db->query($sql);
	while($db->next_record()) {
		$setting_name = $db->f("setting_name");
		$setting_value = $db->f("setting_value");
		if ($setting_value == 1) {
			$feature_number++;
			$feature_values_list = $predefined_values[$setting_name];
			$feature_value = get_param("fv_" . $feature_number);
			$t->set_var("feature_number", $feature_number);
			$t->set_var("feature_name", htmlspecialchars($setting_name));
			$t->set_var("feature_select", "");
			$t->set_var("feature_text", "");
			if (strlen(trim($feature_values_list))) {
				$values_array = explode("\n", $feature_values_list);
				$feature_values = array();
				$feature_values[] = array("", "");
				for($i = 0; $i < sizeof($values_array); $i++) {
					if(strlen(trim($values_array[$i]))) {
						$feature_values[] = array(trim($values_array[$i]), trim($values_array[$i]));
					}
				}
				set_options($feature_values, $feature_value, "feature_value");
				$t->parse("feature_select", false);
			} else {
				$t->set_var("feature_value", $feature_value);
				$t->parse("feature_text", false);
			}
			$t->parse("features", true);
		}
	}
	$t->set_var("fq", $feature_number);

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>