<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  user_home.php                                            ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include_once ("./messages/".$language_code."/cart_messages.php");
	include_once ("./messages/".$language_code."/support_messages.php");
	include_once ("./messages/".$language_code."/forum_messages.php");

	check_user_session();
	
	$operation = get_param("operation");


	if($operation == "logout") {
		set_session("session_user_id", "");
		set_session("session_user_type_id", "");
		set_session("session_user_login", "");
		set_session("session_user_name", "");
		set_session("session_discount_type", "");
		set_session("session_discount_amount", "");
		set_session("session_price_type", "");
		set_session("session_user_info", "");
		if (get_setting_value($settings, "logout_cart_clear", 0) == 1) {
			set_session("shopping_cart", "");
			set_session("session_coupons", "");
		}

		header("Location: index.php");
		exit;
	}

	$secure_url = get_setting_value($settings, "secure_url", "");
	$secure_user_profile = get_setting_value($settings, "secure_user_profile", 0);
	if ($secure_user_profile) {
		$user_profile_url = $secure_url . "user_profile.php";
		$change_password_url = $secure_url . "change_password.php";
	} else {
		$user_profile_url = "user_profile.php";
		$change_password_url = "change_password.php";
	}

	$user_settings = array();
	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "user_types_settings WHERE type_id=" . $db->tosql(get_session("session_user_type_id"), INTEGER);
	$db->query($sql);
	while($db->next_record()) {
		$user_settings[$db->f("setting_name")] = $db->f("setting_value");
	}

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main", "user_home.html");

	$t->set_var("user_profile_href", "user_profile.php");
	$t->set_var("user_profile_url",  $user_profile_url);
	$t->set_var("user_orders_href", "user_orders.php");
	$t->set_var("change_password_href", "change_password.php");
	$t->set_var("change_password_url",  $change_password_url);
	$t->set_var("user_support_href", "user_support.php");
	$t->set_var("forum_href", "forum.php");
	$t->set_var("user_products_href", "user_products.php");
	$t->set_var("user_ads_href", "user_ads.php");
	$t->set_var("user_merchant_sales_href", "user_merchant_sales.php");
	$t->set_var("user_affiliate_sales_href", "user_affiliate_sales.php");
	$t->set_var("user_payments_href", "user_payments.php");
	$t->set_var("user_carts_href", "user_carts.php");

	$t->set_var("user_login", get_session("session_user_login"));
	$t->set_var("user_name", get_session("session_user_name"));

	$blocks = array(
		"orders_block"          => "my_orders",
		"details_block"         => "my_details",
		"support_block"         => "my_support",
		"forum_block"           => "my_forum",
		"products_block"        => "access_products",
		"ad_block"              => "add_ad",
		"merchant_sales_block"  => "merchant_sales",
		"affiliate_sales_block" => "affiliate_sales",
		"payments_block"        => "my_payments",
		"carts_block"           => "my_carts"
	);

	if (VA_PRODUCT == "cms" || VA_PRODUCT == "helpdesk") {
		unset($blocks["orders_block"]);
	}
	if (VA_PRODUCT == "cms" || (VA_PRODUCT == "shop" && (VA_TYPE == "light" || VA_TYPE == "standard"))) {
		unset($blocks["support_block"]);
	}
	if (VA_PRODUCT == "shop" && (VA_TYPE == "light" || VA_TYPE == "standard")) {
		unset($blocks["forum_block"]);
	}

	$block_number = 0;
	foreach ($blocks as $block_name => $permission_name) {
		$permission = get_setting_value($user_settings, $permission_name, 0);
		if($permission) {
			$block_number++;
			$t->sparse($block_name, false);
			$t->parse("cols", true);
			$t->set_var($block_name, "");
			if($block_number % 2 == 0) {
				$t->parse("rows", true);
				$t->set_var("cols", "");
			}
		}
	}
	if($block_number > 0 && $block_number % 2 != 0) {
		$t->parse("rows", true);
	}

	include("./header.php");
	include("./footer_php.php");
	$t->pparse("main");

?>